net.sf.jasperreports.web.util

## Class WebUtil

- java.lang.Object
- - net.sf.jasperreports.web.util.WebUtil

-     public final class WebUtil
      extends java.lang.Object

  Version:
    $Id: WebUtil.java 6923 2014-02-24 14:18:52Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_EMBED_COMPONENT_METADATA`
    `static java.lang.String` | `PROPERTY_REPORT_EXECUTION_PATH`
    `static java.lang.String` | `PROPERTY_REPORT_INTERACTION_PATH`
    `static java.lang.String` | `PROPERTY_REPORT_RESOURCES_PATH`
    `static java.lang.String` | `PROPERTY_REQUEST_PARAMETER_DYNAMIC_RESOURCE`
    `static java.lang.String` | `PROPERTY_REQUEST_PARAMETER_RESOURCE_BUNDLE`
    `static java.lang.String` | `PROPERTY_REQUEST_PARAMETER_RESOURCE_LOCALE`
    `static java.lang.String` | `PROPERTY_REQUEST_PARAMETER_RESOURCE_URI`
    `static java.lang.String` | `REQUEST_PARAMETER_ASYNC_REPORT`
    `static java.lang.String` | `REQUEST_PARAMETER_PAGE`
    `static java.lang.String` | `REQUEST_PARAMETER_PAGE_TIMESTAMP`
    `static java.lang.String` | `REQUEST_PARAMETER_PAGE_UPDATE`
    `static java.lang.String` | `REQUEST_PARAMETER_REPORT_URI`
    `static java.lang.String` | `REQUEST_PARAMETER_RUN_REPORT`
    `static java.lang.String` | `RESOURCE_JR_GLOBAL_CSS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `decodeUrl(java.lang.String url)`
    `static java.lang.String` | `encodeUrl(java.lang.String url)`
    `static WebUtil` | `getInstance(JasperReportsContext jasperReportsContext)`
    `java.lang.String` | `getReportExecutionPath()`
    `java.lang.String` | `getReportInteractionPath()`
    `java.lang.String` | `getResourceBundleForResource(javax.servlet.http.HttpServletRequest request)`
    `java.util.Locale` | `getResourceLocale(javax.servlet.http.HttpServletRequest request)`
    `java.lang.String` | `getResourcePath(java.lang.String resourcePath)`
    `java.lang.String` | `getResourcePath(java.lang.String resourcePath, boolean isDynamic)`
    `java.lang.String` | `getResourcePath(java.lang.String resourcesBasePath, java.lang.String resourcePath)`
    `java.lang.String` | `getResourcePath(java.lang.String resourcesBasePath, java.lang.String resourcePath, boolean isDynamic)`
    `java.lang.String` | `getResourcePath(java.lang.String resourcesBasePath, java.lang.String resourcePath, java.lang.String resourceBundleName, java.util.Locale locale)`
    `java.lang.String` | `getResourcesBasePath()`
    `java.lang.String` | `getResourcesPath()`
    `java.lang.String` | `getResourceUri(javax.servlet.http.HttpServletRequest request)`
    `boolean` | `isComponentMetadataEmbedded()`
    `boolean` | `isDynamicResource(javax.servlet.http.HttpServletRequest request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REQUEST_PARAMETER_REPORT_URI

          public static final java.lang.String REQUEST_PARAMETER_REPORT_URI

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_ASYNC_REPORT

          public static final java.lang.String REQUEST_PARAMETER_ASYNC_REPORT

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_PAGE

          public static final java.lang.String REQUEST_PARAMETER_PAGE

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_PAGE_TIMESTAMP

          public static final java.lang.String REQUEST_PARAMETER_PAGE_TIMESTAMP

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_PAGE_UPDATE

          public static final java.lang.String REQUEST_PARAMETER_PAGE_UPDATE

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_RUN_REPORT

          public static final java.lang.String REQUEST_PARAMETER_RUN_REPORT

      See Also:
        Constant Field Values

    - #### PROPERTY_REQUEST_PARAMETER_RESOURCE_URI

          public static final java.lang.String PROPERTY_REQUEST_PARAMETER_RESOURCE_URI

      See Also:
        Constant Field Values

    - #### PROPERTY_REQUEST_PARAMETER_RESOURCE_LOCALE

          public static final java.lang.String PROPERTY_REQUEST_PARAMETER_RESOURCE_LOCALE

      See Also:
        Constant Field Values

    - #### PROPERTY_REQUEST_PARAMETER_RESOURCE_BUNDLE

          public static final java.lang.String PROPERTY_REQUEST_PARAMETER_RESOURCE_BUNDLE

      See Also:
        Constant Field Values

    - #### PROPERTY_REQUEST_PARAMETER_DYNAMIC_RESOURCE

          public static final java.lang.String PROPERTY_REQUEST_PARAMETER_DYNAMIC_RESOURCE

      See Also:
        Constant Field Values

    - #### PROPERTY_REPORT_EXECUTION_PATH

          public static final java.lang.String PROPERTY_REPORT_EXECUTION_PATH

      See Also:
        Constant Field Values

    - #### PROPERTY_REPORT_INTERACTION_PATH

          public static final java.lang.String PROPERTY_REPORT_INTERACTION_PATH

      See Also:
        Constant Field Values

    - #### PROPERTY_REPORT_RESOURCES_PATH

          public static final java.lang.String PROPERTY_REPORT_RESOURCES_PATH

      See Also:
        Constant Field Values

    - #### PROPERTY_EMBED_COMPONENT_METADATA

          public static final java.lang.String PROPERTY_EMBED_COMPONENT_METADATA

      See Also:
        Constant Field Values

    - #### RESOURCE_JR_GLOBAL_CSS

          public static final java.lang.String RESOURCE_JR_GLOBAL_CSS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static WebUtil getInstance(JasperReportsContext jasperReportsContext)

    - #### getReportExecutionPath

          public java.lang.String getReportExecutionPath()

    - #### getReportInteractionPath

          public java.lang.String getReportInteractionPath()

    - #### getResourcesPath

          public java.lang.String getResourcesPath()

    - #### getResourceUri

          public java.lang.String getResourceUri(javax.servlet.http.HttpServletRequest request)

    - #### getResourceLocale

          public java.util.Locale getResourceLocale(javax.servlet.http.HttpServletRequest request)

    - #### getResourceBundleForResource

          public java.lang.String getResourceBundleForResource(javax.servlet.http.HttpServletRequest request)

    - #### isDynamicResource

          public boolean isDynamicResource(javax.servlet.http.HttpServletRequest request)

    - #### getResourcesBasePath

          public java.lang.String getResourcesBasePath()

    - #### getResourcePath

          public java.lang.String getResourcePath(java.lang.String resourcePath)

    - #### getResourcePath

          public java.lang.String getResourcePath(java.lang.String resourcePath,
                                         boolean isDynamic)

    - #### getResourcePath

          public java.lang.String getResourcePath(java.lang.String resourcesBasePath,
                                         java.lang.String resourcePath)

    - #### getResourcePath

          public java.lang.String getResourcePath(java.lang.String resourcesBasePath,
                                         java.lang.String resourcePath,
                                         boolean isDynamic)

    - #### getResourcePath

          public java.lang.String getResourcePath(java.lang.String resourcesBasePath,
                                         java.lang.String resourcePath,
                                         java.lang.String resourceBundleName,
                                         java.util.Locale locale)

    - #### isComponentMetadataEmbedded

          public boolean isComponentMetadataEmbedded()

    - #### encodeUrl

          public static java.lang.String encodeUrl(java.lang.String url)

    - #### decodeUrl

          public static java.lang.String decodeUrl(java.lang.String url)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com